Subject: Re: [PATCH] copy.c: make copy_fd preserve meaningful errno

From: Junio C Hamano <[email-masked]>
Date: Tue, 18 Nov 2014 09:08:32 -0800

Junio C Hamano <[email-masked]> writes:

> In short I am not a very big fan of passing around strbuf *err to
> low level helper API functions myself.
>
> But the approach does not make things much worse than it currently
> is, other than code churns to pass an extra pointer around.

Sorry I left the conclusion out of the message.

As it does not make things much worse, and does give slightly better
flexibility on error message emission to the callers, let's go with
the "strbuf *err" arpporach for now.

Until we hit a wall we cannot climb over, at which time we may need
to redo it, but let's first see how it goes.